import express from "express";
import path from 'path'
import 'dotenv/config'

const hostname = '127.0.0.1';
const httpPort = 4080;

const app = express();

app.set('views', path.join(__dirname, 'views'));
app.set('view engine', 'hbs');

// import morgan from 'morgan'
// app.use(morgan('dev'));
app.use(express.json());
app.use(express.urlencoded({ extended: false }));
app.use(express.static(path.join(__dirname, 'public')));

import mainRouter from './routes/main';
import apiRouter from './routes/api/apiRouter';

app.use('/', mainRouter);
app.use('/api', apiRouter);

app.listen(httpPort, () => {
  console.log(`Server running at http://${hostname}:${httpPort}/`);
});